# SolrDisMaxQuery::setPhraseFields

(No version information available, might only be in Git)

SolrDisMaxQuery::setPhraseFields — Sets Phrase Fields and their boosts (and slops) using pf2 parameter

### Descripción

public SolrDisMaxQuery::setPhraseFields(string `$fields`): SolrDisMaxQuery

Sets Phrase Fields (pf) and their boosts (and slops)

### Parámetros

`fields`

  Fields, boosts [, slops]

### Valores devueltos

SolrDisMaxQuery

### Ejemplos

Ejemplo #1 SolrDisMaxQuery::setPhraseFields() example

`<?php
$dismaxQuery = new SolrDisMaxQuery("lucene");
$dismaxQuery->setPhraseFields("cat~5.1^2 feature^4.5");
echo $dismaxQuery.PHP_EOL;
?>`

El resultado del ejemplo sería algo similar a:

    q=lucene&defType=edismax&pf=cat~5.1^2 feature^4.5

### Ver también

- SolrDisMaxQuery::addPhraseFields()
- SolrDisMaxQuery::removePhraseField() - Removes a Phrase Field (pf parameter)